PETSc version 3.15.5
Fix/Edit manual page

# ISLocalToGlobalMappingRegister

Adds a method for applying a global to local mapping with an ISLocalToGlobalMapping

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingRegister(const char sname[],PetscErrorCode (*function)(ISLocalToGlobalMapping))

Not Collective

### Input Parameters

| sname | - name of a new method
| routine_create | - routine to create method context

### Notes

ISLocalToGlobalMappingRegister() may be called multiple times to add several user-defined mappings.

### Sample usage

       ISLocalToGlobalMappingRegister("my_mapper",MyCreate);

Then, your mapping can be chosen with the procedural interface via

        ISLocalToGlobalMappingSetType(ltog,"my_mapper")

or at runtime via the option

        -islocaltoglobalmapping_type my_mapper

### See Also

ISLocalToGlobalMappingRegisterAll(), ISLocalToGlobalMappingRegisterDestroy(), ISLOCALTOGLOBALMAPPINGBASIC, ISLOCALTOGLOBALMAPPINGHASH

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages